Update sprint settings
Updates the sprint settings for the specified project
(externally referenced as Space, project_id) within a workspace (team_id).
curl --request PUT \
--url https://api.superthread.com/v1/{team_id}/sprints/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"statuses": [
{
"title": "To Do",
"status": "started",
"id": "688a7717-f1ea-4955-9f5f-6eca66e98f64"
}
],
"length": 14,
"cooldown": 7,
"start_day": 1,
"enabled": true,
"vcs_mapping": {
"branch": "develop",
"pr_draft": "41",
"pr_open": "41",
"pr_review_requested": "41",
"pr_merged": "41",
"pr_closed": "41"
},
"layout": "board",
"card_cover_enabled": true
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/sprints/settings"
payload = {
"statuses": [
{
"title": "To Do",
"status": "started",
"id": "688a7717-f1ea-4955-9f5f-6eca66e98f64"
}
],
"length": 14,
"cooldown": 7,
"start_day": 1,
"enabled": True,
"vcs_mapping": {
"branch": "develop",
"pr_draft": "41",
"pr_open": "41",
"pr_review_requested": "41",
"pr_merged": "41",
"pr_closed": "41"
},
"layout": "board",
"card_cover_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
statuses: [
{title: 'To Do', status: 'started', id: '688a7717-f1ea-4955-9f5f-6eca66e98f64'}
],
length: 14,
cooldown: 7,
start_day: 1,
enabled: true,
vcs_mapping: {
branch: 'develop',
pr_draft: '41',
pr_open: '41',
pr_review_requested: '41',
pr_merged: '41',
pr_closed: '41'
},
layout: 'board',
card_cover_enabled: true
})
};
fetch('https://api.superthread.com/v1/{team_id}/sprints/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sprint_settings": {
"statuses": [
{
"title": "To Do",
"status": "started",
"id": "688a7717-f1ea-4955-9f5f-6eca66e98f64"
}
],
"length": 14,
"cooldown": 7,
"start_day": 1,
"enabled": true,
"vcs_mapping": {
"pr_draft": "41",
"pr_open": "41",
"pr_review_requested": "41",
"pr_merged": "41",
"pr_closed": "41",
"branches": [
{
"name": "development",
"pr_draft": "41",
"pr_open": "41",
"pr_review_requested": "41",
"pr_merged": "41",
"pr_closed": "41",
"time_created": 1608742037016
}
]
},
"layout": "board",
"time_updated": 1608742037016,
"user_updated": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"card_cover_enabled": true
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Query Parameters
Project ID is a numerical string that identifies a Project. This is externally referred to as a "Space".
Body
Sprint settings object
ordered list of statuses for the sprint
Show child attributes
Show child attributes
length of the sprint in days
7, 14, 21, 28, 35, 42, 49, 56 14
length of the cooldown period in days
0, 7, 14, 21, 28 7
day of the week to start the sprint (0 = Sunday, 1 = Monday, ..., 6 = Saturday)
0, 1, 2, 3, 4, 5, 6 1
whether sprints are enabled for the project
true
Show child attributes
Show child attributes
board, list, timeline, calendar "board"
whether card covers are enabled for the project
Response
Updated sprint settings
Show child attributes
Show child attributes
